| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBlockAllocatorDisposeLeaky< T > Class Template Reference
[Memory Management]

Block allocator disposal mixin that destructs, unless upon final cleanup, where a warning is emitted stating that objects leaked. More...

`#include <csutil/blockallocator.h>`

List of all members.

## Public Member Functions
template<typename BA>
| csBlockAllocatorDisposeLeaky (const BA &, bool legit)
void | Dispose (void *p)
| Destructs the object, unless in auto-cleanup.
| ~csBlockAllocatorDisposeLeaky ()

## Detailed Description

### template<typename T>
class csBlockAllocatorDisposeLeaky< T >

Block allocator disposal mixin that destructs, unless upon final cleanup, where a warning is emitted stating that objects leaked.

Definition at line 59 of file blockallocator.h.

## Member Function Documentation

template<typename T>

void csBlockAllocatorDisposeLeaky< T >::Dispose | ( | void * | p | ) | `[inline]`

Destructs the object, unless in auto-cleanup.

Definition at line 98 of file blockallocator.h.

The documentation for this class was generated from the following file:

- csutil/blockallocator.h